Summary: A set of system configuration and setup files.
Name: setup
Version: 2.5.44
Release: b1
License: Public Domain
Group: System Environment/Base
Source: setup-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Conflicts: initscripts < 4.26, bash <= 2.0.4-21

%description
The setup package contains a set of important system configuration and
setup files, such as passwd, group, and profile.

%prep
%setup -q

%build
# Run any sanity checks.
make check

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/profile.d
cp -ar * %{buildroot}/etc
rm -f %{buildroot}/etc/uidgid
mkdir -p %{buildroot}/var/log
touch %{buildroot}/etc/{shadow,gshadow}
touch %{buildroot}/var/log/lastlog
touch %{buildroot}/etc/environment
chmod 0644 %{buildroot}/etc/environment
chmod 0400 %{buildroot}/etc/{shadow,gshadow}
chmod 0400 %{buildroot}/var/log/lastlog

# remove unpackaged files from the buildroot
rm -f %{buildroot}/etc/Makefile
rm -f %{buildroot}/etc/serviceslint
rm -f %{buildroot}/etc/uidgidlint
rm -f %{buildroot}/etc/setup.spec

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc uidgid
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/shadow
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) /etc/gshadow
%verify(not md5 size mtime) %config(noreplace) /etc/services
%verify(not md5 size mtime) %config(noreplace) /etc/exports
%config(noreplace) /etc/aliases
%config(noreplace) /etc/environment
%config(noreplace) /etc/filesystems
%config(noreplace) /etc/host.conf
%verify(not md5 size mtime) %config(noreplace) /etc/hosts.allow
%verify(not md5 size mtime) %config(noreplace) /etc/hosts.deny
%verify(not md5 size mtime) %config /etc/motd
%config(noreplace) /etc/printcap
%config /etc/inputrc
%config(noreplace) /etc/bashrc
%config(noreplace) /etc/profile
%config /etc/protocols
%attr(0600,root,root) %config(missingok) /etc/securetty
%config(noreplace) /etc/csh.login
%config(noreplace) /etc/csh.cshrc
%dir /etc/profile.d
%config(noreplace) %verify(not md5 size mtime) /etc/shells
%ghost %attr(0400,root,root) %verify(not md5 size mtime) /var/log/lastlog

%changelog
* Sun Jul 17 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 4
- setup-2.5.44-1.src.rpm
* Thu Nov 18 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 3
- setup-2.5.36-1.src.rpm
* Thu May 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 2
- setup-2.5.33-1.src.rpm
* Thu Feb 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 2-test1
- setup-2.5.31-1.src.rpm
* Tue Nov 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Red Hat Fedora Core 1
- setup-2.5.27-1.1.src.rpm
* Mon Apr 14 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Red Hat Linux 9.0
- setup-2.5.25-1.src.rpm
* Tue Mar 4 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Red Hat Linux 8.0
- setup-2.5.20-1.src.rpm
